set term png
set out '57p.png'
set grid
set style data lines

# Y  C  G  M
# 7  5  2  4
# 2  8 14 20

#C2Cc=1.06;   
#Gy2Gyc=1.24;
#M2Mc=1.31;

#f(x) = -2.5*ln( x * 9.25E-6 ) / ln10
f(x) = -1.0857 * log( x * 9.25E-6 )

a=1

#V(x) = x<20? a1 + b1*x : a2 + c*(x-20)**2 +  d*(x-20)**3
#V(x) = a + b*x + c*x**2 +  d*x**3
#V(x) = a +  c*x**2 +  d*x**3 +  e*x**4
#V(x) = x<0.5? a : b +  c*(x-0.5)**2 +  d*(x-0.5)**3 

L=0.272
S=39
S2=145
V(x) = x<S?   a1   :\
       x<145? a1 + b2*(x-S) + c*(x-S)**2 +  d*(x-S)**3 :\
              a1 + b2*(x-S) + c*(x-S)**2 +  d*(x-S)**3 + e*(x-S2)**2       

fit V(x) '14.rad' using ($1+1.5):($3/L) \
 via  a1,  b2,  c, d, e


set title 'Luminance of snow, Brno Observatory'
set ylabel 'Luminance / 1 nt'
set xlabel '4Pixel-horizontal-dimension distance from image center / 3'


plot [0:160] [0.3:1.1] \
'12.rad' using ($1+1.5):($3/L) title '12', \
'13.rad' using ($1+1.5):($3/L) title '13',  \
'14.rad' using ($1+1.5):($3/L) title '14', V(x)

